<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetSubFolder Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : GetSubFolder Method (IEdmFolder5)

Visual Basic
C#
C++/CLI

bsFolderName
  Name of subfolder to get

Gets the interface to the subfolder with the specified name.

# Syntax

Visual Basic |
--- | ---

    Function GetSubFolder( _
       ByVal bsFolderName As System.String _
    ) As IEdmFolder5

C# |
--- | ---

    IEdmFolder5 GetSubFolder(
       System.string bsFolderName
    )

C++/CLI |
--- | ---

    IEdmFolder5^ GetSubFolder(
    &   System.String^ bsFolderName
    )

#### Parameters

bsFolderName
  Name of subfolder to get

#### Return Value

IEdmFolder5

# Example

Add and Remove User and Group from Folder (C#)
Add and Remove User and Group from Folder (VB.NET)

# Remarks

C++ users not using smart-pointer wrapper functions must release the returned pointer to IEdmFolder5.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_FOLDER_NOT_FOUND: No subfolder with the specified name is found.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members
IEdmFolder5::ParentFolder Property ()
IEdmFolder5::GetFile Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2